Bug 90601 - ifup gives (harmless) errormessage with Xircom netwave
Summary: ifup gives (harmless) errormessage with Xircom netwave
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-10 12:56 UTC by Martijn Lievaart
Modified: 2014-03-17 02:36 UTC (History)
1 user (show)

Fixed In Version: 8.17-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 18:54:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martijn Lievaart 2003-05-10 12:56:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030211

Description of problem:
/etc/sysconfig/network-script/ifup-wireless tries to set the ESSID to 'any' if
none is given in /etc/pcmcia/wireless.opts. This is not appropriate for the
netwave that does not support setting ESSID.

This does not hamper the functionality in any way but leads to an ugly error
message. This may in turn lead the user to wonder wether all went well, when in
fact it did.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Insert an Xircom Netwave in a pcmcia slot
2. Execute ifdown on the assigned ethernet device
3. Execute ifup on smae device
    

Actual Results:  
[root@dexter init.d]# ifup eth1
Error for wireless request "Set ESSID" (8B1A) :
    SET failed on device eth1 ; Operation not supported.
[root@dexter init.d]#


Expected Results:  No error should have been given.

Additional info:

Comment 1 Bill Nottingham 2005-09-30 18:54:29 UTC
This error message has been silenced in CVS - will be in 8.17-1.


Note You need to log in before you can comment on or make changes to this bug.